export class Timer extends BaseTimer {
    constructor(base: any, interval: any, frequency: any);
    _base: any;
    _interval: any;
    _frequency: any;
    _setTimems(date: any, timeInms: any): number;
    _getTimems(date: any): number;
    _setDay(date: any, day: any): any;
    _splitDay(frequency: any): number[];
    _splitWeek(frequency: any): number[];
    _getEarliest(base: any, timings: any): number;
    _nextTimeout(_now?: any): number;
}
export class AtTimer extends BaseTimer {
    constructor(times: any, expiration_date: any);
    _times: any;
    _expiration_date: any;
    _nextTimeout(): number;
}
declare class BaseTimer {
    _stopped: boolean;
    _queue: AsyncQueue<any>;
    _timeout: NodeJS.Timeout | null;
    next(): Promise<any>;
    end(): void;
    stop(): void;
    _reschedule(): void;
    start(): void;
}
import AsyncQueue from "consumer-queue";
export {};
